File: CHANGELOG.md

package info (click to toggle)
ruby-seamless-database-pool 1.0.20-1.1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, sid
  • size: 228 kB
  • sloc: ruby: 1,544; makefile: 3
file content (93 lines) | stat: -rw-r--r-- 2,039 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
## 1.0.20

* Remove calls to `alias_method_chain` for Rails 5.1 compatibility (thanks )

* Don't check read only connections on calls to `verify!` and `active?` when not necessary (thanks wjordan)

## 1.0.19

* Require ruby 2.0 or greater

* Eliminate deprecation warning on Rails 5 (thanks wjordan)

## 1.0.18

* ActiveRecord 5.0 compatibility (thanks jkowens)

* End support for ActiveRecord 3.1

## 1.0.17

* Do not update the HTTP session if there are no changes.

## 1.0.16

* Use shorter to_s output for output on connection.inspect.

## 1.0.15

* Implement less wordy connection to string method so logs don't fill up with long messages on connection errors.

* Update specs to remove deprecation warnings

* Fix adapter specs to work with ActiveRecord 4.1 configuration changes

## 1.0.14

* Remove custom connection timeout logic; Use the underlying driver's timeouts instead.

* Fix to work with query cache.

* Make driver less aggressive about overriding methods to proxy to the master connection.

* End support for ActiveRecord 2.x

* Add support for ActiveRecord 4.0

## 1.0.13

* Fix to work with `rake db:*` Rails tasks by removing the adapter from the configuration when db:* tasks are run.

* Fix connection pool issues so checkout/checkins don't interact with the underlying connections (thanks afex)

* Ruby 2.0/Rails 4.0 compatibility (thanks t27duck)

## 1.0.12

* Remove excessively long log messages on reconnect attempts.

## 1.0.11

* Remove debug code that prevented recovering from errors.

## 1.0.10

* Compatibility with ActiveRecord 3.1.0

## 1.0.9

* Compatibility with bind variables.

## 1.0.8

* Compatibility with ActiveRecord 3.1.0rc4

## 1.0.7

* Make compatible with ActionController 3.0

* Improved handling of down slave instances.

## 1.0.6

* Make compatible with ActiveRecord 3.0.

* Make compatible with database adapters other than MySQL including PostgrSQL.

* Better test suite to actually hit three different database adapters.

## 1.0.5

* Update docs.

* Remove rake dependency on rspec